<script>
    function largeModal(contentId) {
        var contentElement = document.getElementById(contentId);

        // Очищаем содержимое модалки
        var modalContent = document.querySelector('#largeModalCenter .large-modal');
        modalContent.innerHTML = '';
        modalContent.appendChild(contentElement);

        // Снимаем hidden и показываем
        contentElement.classList.remove('hidden');

        // ***** ОЧИСТКА ФОРМЫ *****
        const form = contentElement.querySelector("form");

        if (form) {
            form.reset(); // очищаем input, select

            // очищаем мультиселект
            const multi = form.querySelector("#operationSelect");
            if (multi) [...multi.options].forEach(o => o.selected = false);

            // чистим ошибки
            form.querySelectorAll(".text-danger").forEach(el => el.innerText = "");
        }

        $('#largeModalCenter').modal('show');
    }

    // Закрытие модального окна и возврат формы в исходное место (по желанию)
    $('#largeModalCenter').on('hidden.bs.modal', function () {
        var modalContent = document.querySelector('#largeModalCenter .large-modal');
        var formToHide = modalContent.querySelector('div');
        if (formToHide) {
        formToHide.classList.add('hidden'); // Скрываем форму
        document.body.appendChild(formToHide); // Возвращаем форму на место
        }
    });
    function smallModal(contentId) {
        // Получаем элемент формы, который нужно показать
        var contentElement = document.getElementById(contentId);
        
        // Перемещаем содержимое формы в модальное окно
        var modalContent = document.querySelector('#smallModalCenter .small-modal');
        modalContent.innerHTML = ''; // Очищаем предыдущее содержимое
        modalContent.appendChild(contentElement);
        
        // Убираем класс hidden, чтобы форма стала видимой в модальном окне
        contentElement.classList.remove('hidden');
        
        // Показываем модальное окно
        $('#smallModalCenter').modal('show');
    }
    // Закрытие модального окна и возврат формы в исходное место (по желанию)
    $('#smallModalCenter').on('hidden.bs.modal', function () {
        var modalContent = document.querySelector('#smallModalCenter .small-modal');
        var formToHide = modalContent.querySelector('div');
        if (formToHide) {
        formToHide.classList.add('hidden'); // Скрываем форму
        document.body.appendChild(formToHide); // Возвращаем форму на место
        }
    });
</script>